Белый сайт лучше?
RSS →    VK →

Скрипт с просьбой обновить браузер. -

Хватит использовать IE6

За окном 2012 год, 27 августа браузеру internet-explorer шестой версии испольняется 11 лет. За это время вышло четыре версии этого браузера, две последние можно даже назвать хорошими. Наша студия придерживается позиции "нельзя сдерживать прогресс". От поддержки шестой версии браузера microsoft мы отказались ещё в далёком 2010 году.

Логика достаточно проста и нетривиальна: браузер IE6 предназначен для того, чтобы пользователь смог скачать себе нормальный браузер и не для чего-либо ещё. Если пользователь недостаточно компетентен чтобы обновить браузер, вероятно он не является целевой аудиторией сайта.

В России доля IE6 составляет 3,2%. Проблемы трёх процентов должны решать три процента, а не веб-разрабротчик, особенно учитывая специфику разработки костылей под IE.

Хорошим тоном разработчика в 2012 году будет не поддерживать IE6 и сообщить пользователю о том что его браузер устарел, и сайт в нём работать не будет.

Сделать это можно разместив в коде сайта следующий код:


<!--[if lte IE 6]>
<div class="ie6" style="background: #FCF6D6; padding: 20px;">
Вы используете устаревший браузер internet-explorer 6. Сайт отображается в вашем браузере некорректно. Рекомендуем вам скачать современный браузер:</ br>
<ul>
<li>
<a href="http://newbrowser.ru/">Обновить браузер</a>
</li>
</ul>
</div>
<![endif]-->

Результатом будет блок следующего вида, выводящийся только для пользователей IE6:

Вы используете устаревший браузер internet-explorer 6. Сайт отображается в вашем браузере некорректно. Рекомендуем вам скачать современный браузер:

 

Написано 16.07.2012
Поделитесь ссылкой:

Не стесняйтесь высказываться :3